@echo off

rem ============================================================
rem ACVEX2B.BAT
rem Wave pattern of a 3.5m x 2.0m rectangular ACV at 3.3 m/sec.
rem
rem ============================================================

rem ------------- Check directory structure -----------
if not exist bin goto baddir
if not exist inp goto baddir
if not exist out goto baddir
if not exist tmp goto baddir

rem ----------- Clean up 'out' subdirectory -----------
cd out
if exist *.csv del *.csv
if exist *.dat del *.dat
if exist *.flo del *.flo
if exist *.in del *.in
if exist *.log del *.log
if exist *.pcx del *.pcx

rem ---------- Clean up 'tmp' subdirectory ------------
cd ..\tmp
if exist *.csv del *.csv
if exist *.dat del *.dat
if exist *.flo del *.flo
if exist *.log del *.log

rem -------- Copy input files to tmp directory --------
copy ..\inp\acv\acv_examples\acv_ex2\*.flo
copy ..\inp\acv\acv_examples\acv_ex2\acv_ex2b\*.flo

rem ------------------- Run Flotilla ------------------
cd ..\bin
flotilla 0 3 1 example 2b
if not errorlevel 0 goto errinp
floacv
if not exist ..\tmp\acvok.dat goto errrun

rem ----- Display wave pattern, no axes or legend -----
acv_plot 1 2 acv_waves.csv 0
copy ..\out\acv_wp.pcx ..\out\acv_wp_ex2b0.pcx
rem ---- Display wave pattern with axes and legend ----
acv_plot 1 2 acv_waves.csv 1
copy ..\out\acv_wp.pcx ..\out\acv_wp_ex2b1.pcx

rem ---------- Exit from this batch file --------------
goto goodend

rem --------------- ERROR REPORTS ---------------------
:baddir
echo Bad Flotilla directory structure.
goto badend

:errinp
echo Bad input.
goto badend

:errrun
echo Error in floacv.exe
goto badend

:goodend
echo Finished

:badend
pause
