@echo off

rem ============================================================
rem ACVEX3A.BAT
rem Resistance of a non-uniform pressure distribution.
rem
rem ============================================================

rem ------------- Check directory structure -----------
if not exist bin goto baddir
if not exist inp goto baddir
if not exist out goto baddir
if not exist tmp goto baddir

rem ----------- Clean up 'out' subdirectory -----------
cd out
if exist *.csv del *.csv
if exist *.dat del *.dat
if exist *.flo del *.flo
if exist *.in del *.in
if exist *.log del *.log
if exist *.pcx del *.pcx

rem ---------- Clean up 'tmp' subdirectory ------------
cd ..\tmp
if exist *.csv del *.csv
if exist *.dat del *.dat
if exist *.flo del *.flo
if exist *.log del *.log

rem -------- Copy input files to tmp directory --------
copy ..\inp\acv\acv_examples\acv_ex3\*.flo
copy ..\inp\acv\acv_examples\acv_ex3\acv_ex3a\*.flo

rem ------------------- Run Flotilla ------------------
cd ..\bin
flotilla 0 1 1 example 3a
if not errorlevel 0 goto errinp
floacv
if not exist ..\tmp\acvok.dat goto errrun

rem ---------- Exit from this batch file --------------
goto goodend

rem --------------- ERROR REPORTS ---------------------
:baddir
echo Bad Flotilla directory structure.
goto badend

:errinp
echo Bad input.
goto badend

:errrun
echo Error in floacv.exe
goto badend

:goodend
echo Finished

:badend
pause
